package com.blueland.config.quartz.service;

import org.quartz.Scheduler;

import com.blueland.bo.SysTimetaskEntity;

/**
* @author zhengTao
* @version 创建时间：2019年4月26日 下午8:19:28
   * 类说明
*/
public interface ScheduleServiceI {
    /**
      * 执行定时调用
     */
    void proceedSchedule();
    /**
     *启动任务 
     * @throws Exception 
     */
    public void startTask(SysTimetaskEntity scheduleTask) throws Exception;
    /**
     *启动任务 (远程)
     * @throws Exception 
     */
    public void startTask4Telnet(SysTimetaskEntity scheduleTask,String authorization) throws Exception;
    /**
     * 暂停任务
     */
    public void stopTask(SysTimetaskEntity scheduleTask) throws Exception;
 
    void setScheduler(Scheduler scheduler);
}
